
QGIS Application - Bug report #17314

export to dxf format - z dimension

2017-10-21 05:46 PM - jose macau

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: DXF export

Affected QGIS version:2.18.13 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 25212

Description

export to dxf file format doesn't export z dimension

Related issues:

Related to QGIS Application - Bug report # 18760: DXF export loses symbol and... Open 2018-04-19

History

#1 - 2017-10-21 05:54 PM - jose macau

test: export from dgn to dxf (linestring)

#2 - 2017-10-26 01:44 PM - Jürgen Fischer

Can you attach the DGN to verify that QGIS actually sees the 3D information it...

#3 - 2017-10-26 01:46 PM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2017-11-01 12:48 PM - jose macau

- File xxx-etrs89_tm06.7z added

with points it works fine but not with lineString geometry, even force include z-dimension option on export operation

thanks

#5 - 2017-11-02 11:12 AM - Giovanni Manghi

- Status changed from Feedback to Open

#6 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#7 - 2019-01-25 12:28 AM - Kepes Ádám
Jürgen Fischer wrote:

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

Hi! 3.4 still doesn't export point heights to dxf (I have added it: Bug report #18760). It does when exporting by "save as" to dxf, but that way it has problem

with exporting labels and symbols... with the whole project export qgis manages to export labels and symbols correctly, but loses point Z dimension...

I have tried it with shape and geopackage too... Of course with 2.5D layers

#8 - 2019-01-25 02:08 PM - Giovanni Manghi

- Status changed from Feedback to Open

#9 - 2019-02-18 11:45 AM - Jürgen Fischer

- Related to Bug report #18760: DXF export loses symbol and point heights added

#10 - 2019-02-18 01:25 PM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

The points z coordinates are exported in "No symbology" mode.  The line strings from DGN via OGR however only have Z coordinates at 0.0.

Files

xxx-etrs89_tm06.7z 41.5 KB 2017-11-01 jose macau

2025-04-26 2/2


